\name{Mean1Dim}
\alias{Mean1Dim}
\title{
  Compute Matrix Mean Along A Dimension
}
\description{
  Averages the matrix var along the posdim dimension between limits [1] and 
  limits [2] if limits argument is given.
}
\usage{
  Mean1Dim(var, posdim, narm = T, limits = NULL)
}
\arguments{
  \item{var}{
    Matrix to average.
  }
  \item{posdim}{
    Position of the dimension to average along.
  }
  \item{narm}{
    Ignore NA values or not.
  }
  \item{limits}{
    Limits to average between.
  }
}
\value{
  Matrix with one dimension less containing the average.
}
\author{
  History:
  1.0  -  2011-04  (V. Guemas, \email{vguemas@ic3.cat})  -  Original code
}
\keyword{datagen}
